[ANNOUNCE] [RELEASE] Strimzi Kafka Operators 0.28.0


Jakub Scholz
 

Strimzi Kafka Operators 0.28.0 has been released. The main changes in this release include:
* Add support for Kafka 3.1.0; remove Kafka 2.8.0 and 2.8.1
* Add support for `StrimziPodSet` resources (disabled by default through the `UseStrimziPodSets` feature gate)
* Support custom authentication mechanisms in Kafka listeners
* Intra-broker disk balancing using Cruise Control
* Added the option `createBootstrapService` in the Kafka Spec to disable the creation of the bootstrap service for the Load Balancer Type Listener. It will save the cost of one load balancer resource, specially in the public cloud.
* Add support for disabling the FIPS mode in OpenJDK
* Fix renewing your own CA certificates

For more details and installation files, go to https://github.com/strimzi/strimzi-kafka-operator/releases/tag/0.28.0

We have also created a video about the changes in this release which you can watch on our YouTube channel: https://youtu.be/PZKbrDUU1zo

Important: This release supports only the API version v1beta2 and CRD version apiextensions.k8s.io/v1. If upgrading from Strimzi 0.22, migration to v1beta2 needs to be completed for all Strimzi CRDs and CRs before the upgrade to 0.28 is done! If upgrading from Strimzi version earlier than 0.22, you need to first install the CRDs from Strimzi 0.22 and complete the migration to v1beta2 for all Strimzi CRDs and CRs before the upgrade to 0.28 is done! For more details about the CRD upgrades, see the documentation.

Thanks to everyone who contributed to these releases!

Thanks & Regards
Strimzi team

Join cncf-strimzi-users@lists.cncf.io to automatically receive all group messages.